Subject: [Aces] (PLEASE read) Request for Feedback: ICANN ACES Phishing Awareness Module
From: Gisella Gruber via Aces <[email-masked]>
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 5 Dec 2025 16:59:04 +0000
List-Id: "ALAC Community Engagement Subcommittee (ACES)" <aces.icann.org>

Dear ACES Members and RALO Leaders,

I hope this email finds you well! 

The ALAC  Community Engagement Subcommittee [icann-community.atlassian.net] (ACES  charter [docs.google.com] FYI) is currently finalizing a Phishing Awareness Campaign – video & script hereafter – with in mind a pilot roll out to the RALOs!

So this is where you come in. We would appreciate it if you could review the video (note – animations) to confirm whether there are any *major*  issues with the flow. Content has already been finalized by ACES.

Next steps – pilot roll out by the RALOs.

Please note we have regional representation in our members. On our last call, we had the following who are able to provide you with any additional  information required.
Bukola – AFRALO
Amrita/Aris – APRALO
Atif – EURALO 
Hannah – LACRALO
Eduardo – NARALO

We also wish to invite you to join us for the next ACES call on Tuesday, 09 December at 13:00 UTC. If you are not available, the call is recorded and again, regional representation is always present.

Thank you and very much hoping you are able to:
Review the video & flow (feedback via email)
Join us next week!

Thank you and have a lovely weekend.

Kind regards,

Gisella 

 

 

From: Mohammad Atif via Aces <[email-masked]>
Reply-To: Mohammad Atif <[email-masked]>
Date: Tuesday, 2 December 2025 at 15:47
To: "[email-masked]" <[email-masked]>
Cc: At-Large Staff <[email-masked]>, Jonathan Zuck <[email-masked]>, Amrita Choudhury <[email-masked]>
Subject: [Aces] Request for Feedback: ICANN ACES Phishing Awareness Module

Dear ACES Members,

I hope you are doing well.

I am pleased to share the video presentation for the Phishing Awareness Module developed by the ICANN At-Large ACES Working Group. The module aims to equip participants with practical skills to recognize, avoid, and report phishing attempts, thereby  strengthening both personal and organizational online security.

The video is approximately 29 minutes and includes narration based on the script prepared by the ACES Phishing Working Group.

Video link:
https://vimeo.com/1142461602?fl=ip&fe=ec  [vimeo.com]

Voiceover script:
https://docs.google.com/document/d/1KbZ9I_1vsAID306PaqAelF_4DcgQBegn-7mxN22Es5g/edit?usp=sharing  [docs.google.com]

Your feedback on the content is greatly appreciated and will help us refine the module before finalization. Please note that region-specific examples can be incorporated later when the material  is adapted for local presentations; this version provides a general, foundational overview. 

Thank you.

Best Regards,
Atif.